<!-- This guage is for Posky 747-400V4 Calculation   -->
<Gauge Name="PkyCALC" Version="1.1">
<copyright>(c)2007 Hiroshi Igami</copyright>

<Size X="20" Y="20"/>
<Element>
<Select>
<Value> 
(A:TOTAL WEIGHT,kilogram) (A:EMPTY WEIGHT,kilogram) -
(A:MAX GROSS WEIGHT,kilogram) (A:EMPTY WEIGHT,kilogram)  - 
 /
(>L:PkyWEIGHTPERCENT,enum) 

<!-- Ground Effect -->
1 (A:PLANE ALT ABOVE GROUND, meter)  70 / - 2 * 0 max 2 min 10 + 10 /
(>L:PkyGROUNDEFFECT,enum) 

<!-- Elevator Trim -->
(A:ELEVATOR TRIM PCT,percent) 300 +
(>L:PkyETRIM,percent) 

<!-- Elevator-->
(A:VELOCITY BODY Z,knot) 1 &lt; (A:VELOCITY BODY Z,knot) 60 &gt; || if{
   (A:ELEVATOR POSITION,percent) 3 / s0
   1 (A:VELOCITY BODY Z,knot) 350 / - l0 * 2 * +
   300 +
   
   s9
   (L:PkyOilPressure,percent) 100 &lt; if{
       l9 200 - 100 / (L:PkyOilPressure,percent) * 
       200 +
   }
   els{
      l9
   }   
   
}
els{ 
   300
}
400 min 200 max
(>L:PkyElev,percent) 

<!-- Rudder-->
(L:PkyOilPressure,percent) 100 &lt; if{
   (L:PkyRUDDER,percent) 
   (A:AIRCRAFT WIND X,knot) 100 / -
   200 max 400 min
}
els{
   (A:VELOCITY BODY Z,knot) 1 &lt; (A:VELOCITY BODY Z,knot) 60 &gt; || if{
       (A:RUDDER PEDAL POSITION,percent) 3 / s0
       1 (A:VELOCITY BODY Z,knot) 350 / - l0 * 2 * +
       300 +
   }
   els{ 
       300
   }
}
(>L:PkyRUDDER,percent) 

<!-- GSU DISPLAY YES/NO -->
(L:STARTUP2,ENUM) 0 == if{
   (L:PkyGSUAPP,bool) ! if{
       0 (>L:PkyGSUAPP,bool) 
   } 
   (L:PkyGSUBAPP,bool) ! if{
       0 (>L:PkyGSUBAPP,bool) 
   } 

   1 (>L:STARTUP2,ENUM) 
 } 


<!-- Ground Wind Effect  -->
(A:PLANE ALT ABOVE GROUND, meter)  60 /   0 max 1 min 
(>L:PkyGROUNDWIND,enum) 

<!-- Oil Pressure Percent -->
  (A:HYDRAULIC SYSTEM INTEGRITY,percent) 50 &gt;
  (A:CIRCUIT HYDRAULIC PUMP ON,bool) 1 == || if{
     (L:PkyOilPressure,percent) 100 &lt; if{
        (L:PkyOilPressure,percent)  1 +
        100 min
     }
     els{
        100
     }
  }
  els{
     (L:PkyOilPressure,percent)  0.25 -
     0 max
  }
(>L:PkyOilPressure,percent) 

</Value>
</Select>
</Element>  
</Gauge>
